
/////////////////////////////////////// CONEXÃO VIX - ARQUITETURA UFES  ///////////////////////////
// BRUNO MASSARA / VICTOR MALHEIROS / MARIO MARGOTTO / FELIPE BOSI
// www.territorios.org

import processing.video.*;   // importar a biblioteca

MovieMaker mm;     // declara objeto MovieMaker

Capture video;    // declarar o capture object

int savedTime; 
int totalTime = 6000; //intervalo captura frames 6000 = a cada 6 segundos

int a;         // intervalo de descarga do filme
int s = 60;    // especificar os segundos - deixar sempre 60 se for mais de um minuto de tempo
int m = 25;    // especificar aqui quantos minutos de duração do timelapse - ex: durante 36minutos colocar 36

////////////////////////////////////////////////////////////////////////////////////////////////

void setup(){
  
  background(0);
  size(640,480,P2D);
  
  savedTime = millis();
  a = s * m * 1000;           // segundos * minutos * millis()
  
  video = new Capture(this, width, height);  // inicializar o capture object
  // video.start();           
  noStroke();
  smooth();
  //frameRate(1);  
   
// Cria objerto MovieMaker com tamanho, nome, frameRate, compressor codec e qualidade
   mm = new MovieMaker (this, width, height, "MOVIE/timelapse.mov", 1, MovieMaker.H263, MovieMaker.LOSSLESS);
  
}

//////////////////////////////////////////////////////////////////////////////////////////////////
  
void draw(){

  int passedTime = millis() - savedTime;
  
  if (video.available()) {
  video.read();                //lê a imagem da câmera
  }

  image(video, 0, 0);          //display a imagem da câmera

  if (passedTime > totalTime){
  mm.addFrame();              //adiciona os pixels da janela ao filme
  savedTime = millis();
}

if (millis() > a){
    mm.finish();             // finaliza o video e cria arquivo MOV
}
  
  println(millis()/1000 + " segundos");
}



